﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.News>
@using MvcWebsiteOcc.Models;
@helper Truncate(string input, int length)
{
    if (input.Length <= length)
    {
    @Html.Raw(input)
    }
    else
    {
        var thisString = input.Substring(0, length);
        var outView = string.Concat(thisString.Substring(0, thisString.LastIndexOf(' ')));
    @Html.Raw(outView)<text>...</text>
    }
}

<!-- hot .home-block -->
<div class="home-block">
    <div class="main-title" style="border-left: 4px solid #A161DD">
        <a href="/tin-tuc.html" class="right button" style="background: #A161DD; color: #A161DD;">Tất cả</a>
        <h2>Nóng</h2>
        <span>Vừa xem vừa thổi</span>
    </div>

    <!-- BEGIN .category-default-block -->
    <div class="category-default-block paragraph-row">

        <!-- BEGIN .column6 -->
        <div class="column6">
            @{var first = Model.FirstOrDefault();}

            <div class="item-main">
                <div class="item-header">
                    <a href="/tin-tuc/noi-dung/@OccConvert.LayUrl(first.NewsTitle, first.NewsID)@(".html")" class="image-hover">
                        @{if (first.NewsImage != null)
                          {
                            <img src="/Uploaded/Images/tintuc/@first.Folder/@first.NewsImage" alt="" />  
                          }
                          else
                          {
                            <img src="/Static/admin/assets/img/no_img.png" /> 
                          }}

                    </a>
                </div>
                <div class="item-content">
                    <div class="content-category">
                        <a href="/tin-tuc/chuyen-muc/@OccConvert.LayUrl(first.NewsCategories.NewsCatName, first.NewsCategories.NewCatID)@(".html")" style="color: #A161DD;">@first.NewsCategories.NewsCatName</a>
                    </div>
                    <h3><a href="/tin-tuc/noi-dung/@OccConvert.LayUrl(first.NewsTitle, first.NewsID)@(".html")">@first.NewsTitle</a></h3>
                    <p>@Html.Raw(first.ShortDescription)</p>
                    @*  <a href="/blog/view_detail" class="read-more-link">Xem thêm<i class="fa fa-angle-double-right"></i></a>*@
                </div>
            </div>
            <!-- END .column6 -->
        </div>

        <!-- BEGIN .column6 -->
        <div class="column6 smaller-articles">
            @{foreach (var item in Model.Where(p => p.NewsID != first.NewsID).Take(5).ToList())
              {
                <div class="item">
                    <div class="item-header">
                        <a href="/tin-tuc/noi-dung/@OccConvert.LayUrl(item.NewsTitle, item.NewsID)@(".html")" class="image-hover">
                            @{if (item.NewsImage != null)
                              {
                                <img src="/Uploaded/Images/tintuc/@item.Folder/@item.NewsImage" alt="" />  
                              }
                              else
                              {
                                <img src="/Static/admin/assets/img/no_img.png" /> 
                              }}

                        </a>
                    </div>
                    <div class="item-content">
                        <h3><a href="/tin-tuc/noi-dung/@OccConvert.LayUrl(item.NewsTitle, item.NewsID)@(".html")">@item.NewsTitle</a></h3>
                        <div class="content-category">
                            <a href="/tin-tuc/chuyen-muc/@OccConvert.LayUrl(item.NewsCategories.NewsCatName, item.NewsCategories.NewCatID)@(".html")" style="color: #A161DD;">@item.NewsCategories.NewsCatName</a>
                        </div>
                        <span>@OccConvert.ViewDateFull(item.CreateDate)</span>
                        @*          <a href="/blog/view_detail" class="read-more-link">Xem thêm<i class="fa fa-angle-double-right"></i></a>*@
                    </div>
                </div> 
              }}
            <!-- END .column6 -->
        </div>

        <!-- END .category-default-block -->
    </div>
    @{var subnews = Model.Skip(6).Take(6).ToList();}
    @{if (subnews.Count > 0)
      {
        <div class="article-list-block">
            <div class="swiper-container tong_hop">
                <div class="swiper-wrapper">
                    @{foreach (var sub in subnews)
                      {
                        <div class="swiper-slide">
                            <div class="item">
                                <div class="item-header">
                                    <a href="/tin-tuc/noi-dung/@OccConvert.LayUrl(sub.NewsTitle, sub.NewsID)@(".html")" class="image-hover">
                                        @{if (sub.NewsImage != null)
                                          {
                                            <img src="/Uploaded/Images/tintuc/@sub.Folder/@sub.NewsImage" alt="" />  
                                          }
                                          else
                                          {
                                            <img src="/Static/admin/assets/img/no_img.png" /> 
                                          }}

                                    </a>
                                </div>
                                <div class="item-content">
                                    <div class="content-category">
                                        <a href="/tin-tuc/chuyen-muc/@OccConvert.LayUrl(sub.NewsCategories.NewsCatName, sub.NewsCategories.NewCatID)@(".html")" style="color: #A161DD;">@sub.NewsCategories.NewsCatName</a>
                                    </div>
                                    <h3><a href="/tin-tuc/noi-dung/@OccConvert.LayUrl(sub.NewsTitle, sub.NewsID)@(".html")">@sub.NewsTitle</a></h3>
                                    <!-- <div class="ot-star-rating">
												<span style="width: 100%;" class=""><strong class="rating">5</strong> out of 5</span>
												<strong>Rating: 5 out of 5 stars</strong>
											</div> -->
                                    <div>
                                        @Html.Raw(sub.ShortDescription)
                                    </div>
                                </div>
                            </div>
                        </div>
                      }}

                </div>
                <!-- Add Pagination -->
                <div class="swiper-pagination tong_hop_page"></div>
                <div class="swiper-button-next tong_hop_next"></div>
                <div class="swiper-button-prev tong_hop_prev"></div>

            </div>
            <!-- END .article-list-block -->
        </div>
      }}


    <!-- END .home-block -->
</div>

